# $Revision: 1.35 $, $Date: 2009/10/16 06:29:00 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Data
Summary:	Test::Data Perl module - test functions for particular variable types
Summary(pl.UTF-8):	Moduł Perla Test::Data - funkcje testujące typy określonych zmiennych
Name:		perl-Test-Data
Version:	1.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a7ddba8cfb2e523d218ffd383926b580
URL:		http://search.cpan.org/dist/Test-Data/
BuildRequires:	perl-devel >= 1:5.8.7
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Prereq
BuildRequires:	perl-Test-Simple
BuildRequires:	perl(Test::Builder::Tester)
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Data Perl module provides utility functions to check properties
and values of data and variables.

%description -l pl.UTF-8
Moduł Perla Test::Data udostępnia funkcje usługowe sprawdzające
własności oraz wartości danych i zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/*.pm
%dir %{perl_vendorlib}/Test/Data
%{perl_vendorlib}/Test/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Data.spec,v $
Revision 1.35  2009/10/16 06:29:00  amateja
- updated to 1.22

Revision 1.34  2008/01/03 12:38:02  qboosh
- generic URL

Revision 1.33  2007-12-30 23:21:05  zbyniu
- up to 1.21

Revision 1.32  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.30  2006/05/26 11:53:59  qboosh
- added version note to rev. 1.28 changelog

Revision 1.29  2006/05/24 07:44:00  qboosh
- reverted rpm-lib BR (strange, redundant)

Revision 1.28  2006/05/21 17:50:59  blaass
- version up, fixed BuildRequires
[1.19]

Revision 1.27  2005/06/20 20:29:36  petec
- BR perl-devel up, now it seems to be working

Revision 1.26  2005/06/14 06:58:57  petec
- up to 1.17

Revision 1.25  2004/12/03 14:36:14  radek
- autoupdated to 1.02

Revision 1.24  2004/11/03 22:30:47  paladine
- formatting

Revision 1.23  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.22  2004/05/31 15:47:42  adamg
- updated to 1.01

Revision 1.21  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.20  2004/05/06 18:21:13  ankry
- fixed perl-devel BR

Revision 1.19  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.18  2004/04/25 16:38:23  adamg
- updated to 0.96

Revision 1.17  2004/03/06 19:07:42  adamg
- updated to 0.95

Revision 1.16  2004/02/16 22:00:38  adamg
- updated to 0.93

Revision 1.15  2003/09/18 13:21:37  adamg
- updated to 0.92

Revision 1.14  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:38:34  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/15 18:34:02  mis
- autoupdated to 0.91

Revision 1.5  2002/11/21 17:01:49  mis
- autoupdated to 0.9

Revision 1.4  2002/10/07 15:01:16  ankry
- uncomment BRs

Revision 1.3  2002/10/06 20:52:03  qboosh
- typo

Revision 1.2  2002/10/06 09:06:34  ankry
- tests enabled, rel.2

Revision 1.1  2002/10/06 00:41:59  ankry
- new, STBR
